Bug 1298517 - Review Request: python-ics2task - A tool to import ics events into TaskWarrior
Summary: Review Request: python-ics2task - A tool to import ics events into TaskWarrior
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matthias Runge
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-01-14 10:17 UTC by Yanis Guenane
Modified: 2018-09-04 09:03 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-04 09:03:31 UTC
Type: ---
mrunge: fedora-review?


Attachments (Terms of Use)

Description Yanis Guenane 2016-01-14 10:17:55 UTC
Spec URL: https://pub.yanisguenane.fr/fedora/packaging/python-ics2task/python-ics2task.spec
SRPM URL: https://pub.yanisguenane.fr/fedora/packaging/python-ics2task/python-ics2task-0.0.3-1.fc23.src.rpm

Description:
A tool that import ics events into tasks in TaskWarrior.
Tasks are assigned a due-date of the actual event.

Fedora Account System Username: spredzy

Koji Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=12545273

This is my first package and I need a sponsor. I am the upstream maintainer of this python module.

With my goal to become a maintainer I have started to do some reviews :

For new package submission :

 * python-relogger: https://bugzilla.redhat.com/show_bug.cgi?id=1217957
 * python-astropy-helpers: https://bugzilla.redhat.com/show_bug.cgi?id=1297234
 * python-pymc3: https://bugzilla.redhat.com/show_bug.cgi?id=1288870

For helping actual maintainer in making sure updating their rpms work

 * python-voluptuous: https://bugzilla.redhat.com/show_bug.cgi?id=1296471
 * python-sqlalchemy: https://bugzilla.redhat.com/show_bug.cgi?id=1296875

Comment 1 Yanis Guenane 2016-01-14 10:24:06 UTC
A link to an icalendar file to test the tool: http://eavesdrop.openstack.org/irc-meetings.ical

Comment 2 hguemar 2016-01-14 10:38:48 UTC
Taking care of sponsoring Yanis (assigned to my fp.o account, too lazy to switch bugzilla account)

Comment 3 Matthias Runge 2016-08-23 07:12:19 UTC
A few comments here:

Source0: should be adjusted, since pypi switched to a different source scheme:
https://files.pythonhosted.org/packages/source/i/%{srcname}/%{srcname}-%{version}.tar.gz

If it's possible to run tests, please do:
%check
....

Comment 4 Matthias Runge 2016-08-23 12:05:45 UTC
I will do the review and I can sponsor you

Comment 5 Matthias Runge 2018-09-04 08:53:17 UTC
Any intention to continue here? Otherwise we should close it?

Comment 6 Yanis Guenane 2018-09-04 09:03:31 UTC
Hey Matthias,

I am no longer using/maintaining this tool. Thanks for bringing it up, I'll close it.


Note You need to log in before you can comment on or make changes to this bug.